Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.component
[Java] Interface ComponentIdentifier

    @Incubating
    public interface ComponentIdentifier

An opaque identifier for a component instance. There are various sub-interfaces that expose specific details about the identifier.

Since:
  1.10

Method Summary
`String` | `getDisplayName()` Returns a human-consumable display name for this identifier.

Method Detail

### getDisplayName

    public String getDisplayName()

  Returns a human-consumable display name for this identifier.
  Returns:
    Component identifier display name
  Since:
    1.10

Gradle API 1.10